gnutls_x509_ext_ct_export_scts(3)

NAME
gnutls_x509_ext_ct_export_scts - API function

SYNOPSIS
#include <gnutls/x509-ext.h>

int gnutls_x509_ext_ct_export_scts(const gnutls_x509_ct_scts_t scts, gnutls_datum_t * ext);

ARGUMENTS

const gnutls_x509_ct_scts_t scts
    An initialized SCT list

gnutls_datum_t * ext
    The DER-encoded extension data; must be freed with gnutls_free()

DESCRIPTION
This function will convert the provided list of SCTs to a DER-encoded SignedCertificateTimestampList extension (1.3.6.1.4.1.11129.2.4.2). The output data in ext will be allocated using gnutls_malloc().

RETURNS
GNUTLS_E_SUCCESS (0) on success or a negative error value.

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: https://www.gnutls.org

COPYRIGHT
Copyright © 2001-2023 Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

https://www.gnutls.org/manual/